# == Class: megacli::params
#
class megacli::params {
  case $::osfamily {
    'Debian': {
      if $::operatingsystem == 'Debian' {

        # Repository
        $repo_ensure                = present
        $repo_url                   = 'http://hwraid.le-vert.net/debian/'
        $repo_suite                 = $::lsbdistcodename
        $repo_key                   = '23B3D3B4'
        $repo_key_server            = 'keyserver.ubuntu.com'
        $repo_include_src           = false
        $repos                      = 'main'

        # Packages
        $pkg_ensure                 = present
        $pkg_name                   = [ 'megacli' ]


      }

    }
    default: {
      fail("Osfamily (${::osfamily}) or lsbdistid (${::lsbdistid}) is not yet unsupported. Please send a mail or check https://git.101010.fr/puppet/megacli/issues if you want a support.")

    }

  }


} # Private class: megacli::params
